summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDaniel Vetter <daniel.vetter@ffwll.ch>2012-05-31 15:45:17 +0200
committerDaniel Vetter <daniel.vetter@ffwll.ch>2012-05-31 15:58:29 +0200
commitb558877f6e25663ece1242f1e658cf1630d7d7fe (patch)
tree8651487b9c77095c7f2d38124052dbf8795d0d04
parent4cf1b02e96b276fcd707d26c9533ab4bfad54739 (diff)
test/sysfs_l3_parity: skip test if the sysfs interface doesn't exist
-rwxr-xr-xtests/sysfs_l3_parity7
1 files changed, 5 insertions, 2 deletions
diff --git a/tests/sysfs_l3_parity b/tests/sysfs_l3_parity
index e1cd68ba..6f814a13 100755
--- a/tests/sysfs_l3_parity
+++ b/tests/sysfs_l3_parity
@@ -1,5 +1,10 @@
#!/bin/bash
+if ! find /sys/class/drm/card*/ | grep l3_parity > /dev/null ; then
+ echo "no l3_parity interface, skipping test"
+ exit 77
+fi
+
SOURCE_DIR="$( dirname "${BASH_SOURCE[0]}" )"
. $SOURCE_DIR/drm_lib.sh
@@ -20,5 +25,3 @@ if [ `$SOURCE_DIR/../tools/intel_l3_parity | wc -c` != "0" ] ; then
echo "Fail"
exit 1
fi
-
-exit 0